package cn.hanghui.outapi.platform.common.entity.rest;

public enum RespCodeEnum {

    /**
     * 系统异常
     */
    SYS_ERROR("500", "系统异常"),

    /**
     * 成功
     */
    SUCCESS("0", "成功"),

    /**
     * 业务异常
     */
    BIZ_ERROR("1000", "业务异常"),

    /**
     * 账户或密码错误
     */
    ACCOUNT_OR_PASSWORD_ERROR("1001", "账户或密码错误"),

    /**
     * 账户认证失败
     */
    ACCOUNT_AUTHORIZED_FAILED("1002", "账户认证失败"),

    /**
     * 数据解密失败
     */
    DATA_ENCODE_FAILED("1003", "数据解密失败"),
    ;

    /**
     * `
     * 错误码
     */
    public String code;

    /**
     * 错误信息
     */
    public String msg;

    RespCodeEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }
}
